curl https://api.notvis.com/v1/whatsapp/messages/f47ac10b-58cc-4372-a567-0e02b2c3d479 \
-H "Authorization: Bearer nc_live_your_api_key"
const response = await fetch(
'https://api.notvis.com/v1/whatsapp/messages/f47ac10b-58cc-4372-a567-0e02b2c3d479',
{ headers: { 'Authorization': 'Bearer nc_live_your_api_key' } }
);
const data = await response.json();
console.log(data.status); // "delivered"
import requests
response = requests.get(
'https://api.notvis.com/v1/whatsapp/messages/f47ac10b-58cc-4372-a567-0e02b2c3d479',
headers={'Authorization': 'Bearer nc_live_your_api_key'},
)
print(response.json()['status'])
{
"message_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"account_id": "7478aadd-e119-452a-b3ac-48d2746e3e09",
"to": "+919876543210",
"type": "template",
"status": "delivered",
"wa_message_id": "wamid.HBgMOTE4MDEwNzE5MzEwFQIAERgS...",
"callback_url": "https://example.com/webhooks/wa",
"tags": ["order"],
"metadata": { "order_id": "1234" },
"created_at": "2026-10-31T10:00:00Z",
"sent_at": "2026-10-31T10:00:02Z"
}
{
"code": 404,
"message": "message not found"
}
WhatsApp
Get Message Status
Retrieve the delivery status and details of a WhatsApp message.
GET
/
v1
/
whatsapp
/
messages
/
{message_id}
curl https://api.notvis.com/v1/whatsapp/messages/f47ac10b-58cc-4372-a567-0e02b2c3d479 \
-H "Authorization: Bearer nc_live_your_api_key"
const response = await fetch(
'https://api.notvis.com/v1/whatsapp/messages/f47ac10b-58cc-4372-a567-0e02b2c3d479',
{ headers: { 'Authorization': 'Bearer nc_live_your_api_key' } }
);
const data = await response.json();
console.log(data.status); // "delivered"
import requests
response = requests.get(
'https://api.notvis.com/v1/whatsapp/messages/f47ac10b-58cc-4372-a567-0e02b2c3d479',
headers={'Authorization': 'Bearer nc_live_your_api_key'},
)
print(response.json()['status'])
{
"message_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"account_id": "7478aadd-e119-452a-b3ac-48d2746e3e09",
"to": "+919876543210",
"type": "template",
"status": "delivered",
"wa_message_id": "wamid.HBgMOTE4MDEwNzE5MzEwFQIAERgS...",
"callback_url": "https://example.com/webhooks/wa",
"tags": ["order"],
"metadata": { "order_id": "1234" },
"created_at": "2026-10-31T10:00:00Z",
"sent_at": "2026-10-31T10:00:02Z"
}
{
"code": 404,
"message": "message not found"
}
Request Headers
string
required
Bearer token. Format:
Bearer nc_live_your_api_keyPath Parameters
string
required
The
message_id returned when the message was sent.Response
string
Unique message identifier.
string
Your account ID.
string
Recipient phone number (E.164).
string
Message type that was sent.
string
Current status:
queued, scheduled, sent, delivered, read, or failed.string
Meta’s WhatsApp message ID (set after delivery).
string
Error details if status is
failed.string
Webhook URL configured for this message.
string
Scheduled delivery time (if applicable).
string[]
Tags associated with the message.
object
Custom metadata key-value pairs.
string
When the message was created.
string
When the message was sent to WhatsApp (null if pending).
curl https://api.notvis.com/v1/whatsapp/messages/f47ac10b-58cc-4372-a567-0e02b2c3d479 \
-H "Authorization: Bearer nc_live_your_api_key"
const response = await fetch(
'https://api.notvis.com/v1/whatsapp/messages/f47ac10b-58cc-4372-a567-0e02b2c3d479',
{ headers: { 'Authorization': 'Bearer nc_live_your_api_key' } }
);
const data = await response.json();
console.log(data.status); // "delivered"
import requests
response = requests.get(
'https://api.notvis.com/v1/whatsapp/messages/f47ac10b-58cc-4372-a567-0e02b2c3d479',
headers={'Authorization': 'Bearer nc_live_your_api_key'},
)
print(response.json()['status'])
{
"message_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"account_id": "7478aadd-e119-452a-b3ac-48d2746e3e09",
"to": "+919876543210",
"type": "template",
"status": "delivered",
"wa_message_id": "wamid.HBgMOTE4MDEwNzE5MzEwFQIAERgS...",
"callback_url": "https://example.com/webhooks/wa",
"tags": ["order"],
"metadata": { "order_id": "1234" },
"created_at": "2026-10-31T10:00:00Z",
"sent_at": "2026-10-31T10:00:02Z"
}
{
"code": 404,
"message": "message not found"
}